<?php

/**
 * Enhancements to recent posts
 *
 * @package RecentPostsEnhancement
 * @version 2.0.3
 * @author davidhs
 * @copyright 2013-2014 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License http://creativecommons.org/licenses/by/3.0/
 */

if (!defined('SMF'))
	die('Hacking attempt...');

// Adds admin area.
function rpe_admin_areas(&$admin_areas)
{
	global $txt;

	$admin_areas['config']['areas']['modsettings']['subsections']['rpe'] = array($txt['rpe']);
}

// Adds modify modification.
function rpe_modify_modifications(&$subActions)
{
	$subActions['rpe'] = 'rpeSettings';
}

// Admin area settings.
function rpeSettings($return_config = false)
{
	global $txt, $scripturl, $context;

	$config_vars = array();
	$config_vars[] = array('title', 'rpe');
	$config_vars[] = array('check', 'rpe_hide_unread_new');
	$config_vars[] = array('check', 'rpe_hide_unread_all');
	$config_vars[] = array('check', 'rpe_hide_unread_replies');
	$config_vars[] = array('check', 'rpe_hide_recent');
	$config_vars[] = array('check', 'rpe_one_line');
	$config_vars[] = '';
	$config_vars[] = array('check', 'rpe_menu_hide_unread_new');
	$config_vars[] = array('check', 'rpe_menu_hide_unread_all');
	$config_vars[] = array('check', 'rpe_menu_hide_unread_replies');
	$config_vars[] = array('check', 'rpe_menu_hide_recent');
	$config_vars[] = array('check', 'rpe_menu_one_button');
	$config_vars[] = '';
	$config_vars[] = array('check', 'rpe_category_hide_unread_new');
	$config_vars[] = array('check', 'rpe_category_hide_unread_all');
	$config_vars[] = array('check', 'rpe_category_hide_unread_replies');
	$config_vars[] = array('check', 'rpe_category_hide_recent');
	$config_vars[] = array('check', 'rpe_category_one_line');

	if ($return_config)
		return $config_vars;

	$context['post_url'] = $scripturl . '?action=admin;area=modsettings;save;sa=rpe';

	// No removing this line you, dirty unwashed mod authors. :p
	if (empty($config_vars))
	{
		$context['settings_save_dont_show'] = true;
		$context['settings_message'] = '<div class="centertext">' . $txt['modification_no_misc_settings'] . '</div>';

		return prepareDBSettingContext($config_vars);
	}

	// Saving?
	if (isset($_GET['save']))
	{
		checkSession();
		$save_vars = $config_vars;
		saveDBSettings($save_vars);
		redirectexit('action=admin;area=modsettings;sa=rpe');
	}

	prepareDBSettingContext($config_vars);
}

?>